import { PixelmatchOptions } from "pixelmatch";
export declare type CompareImagesCfg = {
    scaleFactor: number;
    title: string;
    imgNew: string;
    imgOld: string;
    updateImages: boolean;
    maxDiffThreshold: number;
    diffConfig: PixelmatchOptions;
};
export declare const getScreenshotPathTask: ({ title, imagesDir, specPath, }: {
    title: string;
    imagesDir: string;
    specPath: string;
}) => string;
export declare const approveImageTask: ({ img }: {
    img: string;
}) => null;
export declare const compareImagesTask: (cfg: CompareImagesCfg) => Promise<{
    error?: boolean | undefined;
    message?: string | undefined;
    imgDiff?: number | undefined;
    maxDiffThreshold?: number | undefined;
} | null>;
export declare const doesFileExistTask: ({ path }: {
    path: string;
}) => boolean;
export declare const initTaskHook: () => {
    [x: string]: (({ title, imagesDir, specPath, }: {
        title: string;
        imagesDir: string;
        specPath: string;
    }) => string) | (({ path }: {
        path: string;
    }) => boolean) | (({ img }: {
        img: string;
    }) => null) | ((cfg: CompareImagesCfg) => Promise<{
        error?: boolean | undefined;
        message?: string | undefined;
        imgDiff?: number | undefined;
        maxDiffThreshold?: number | undefined;
    } | null>);
};
